create table platforms (
  id      integer primary key autoincrement,
  name    text unique not null,
  secrets json not null default 'null'
);

create table books (
  id          integer primary key autoincrement,
  reader_url  text unique not null,
  platform_id integer not null,
  foreign key (platform_id) references platforms(id)
);

insert into platforms(name) values
  ('dmm-books'),
  ('google-play-books');
